Bug 1974353 - Getting error while using "--run-validations" during overcloud deployment [NEEDINFO]
Summary: Getting error while using "--run-validations" during overcloud deployment
Keywords:
Status: POST
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 16.1 (Train)
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: z9
: 16.1 (Train on RHEL 8.2)
Assignee: mathieu bultel
QA Contact: David Rosenfeld
URL:
Whiteboard:
Depends On: 2056602
Blocks: 2001917
TreeView+ depends on / blocked
 
Reported: 2021-06-21 13:04 UTC by Aman Gupta
Modified: 2022-08-31 22:29 UTC (History)
11 users (show)

Fixed In Version: openstack-tripleo-common-11.4.1-1.20210908083306.75bd92a.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2001917 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:
jpodivin: needinfo? (mbultel)


Attachments (Terms of Use)
Templates that were used (1.17 MB, application/gzip)
2021-06-21 13:04 UTC, Aman Gupta
no flags Details


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 806878 0 None MERGED [Train-only] Upload validation container in swift 2022-02-16 14:45:26 UTC
Red Hat Issue Tracker OSP-5344 0 None None None 2022-01-24 09:38:37 UTC
Red Hat Issue Tracker VALFRWK-573 0 None None None 2021-08-13 06:10:16 UTC

Internal Links: 2056602

Description Aman Gupta 2021-06-21 13:04:32 UTC
Created attachment 1792650 [details]
Templates that were used

Description of problem:
Getting error while using "--run-validations" during overcloud deployment.
If we remove --run-validations tag, deployment is successfull

Version-Release number of selected component (if applicable):
RHOSP 16.1

How reproducible:
Reproduced on multiple test labs

Steps to Reproduce:
1.
2.
3.


The undercloud was successfully installed but when we run the overcloud deploy command, I obtain again error

(undercloud) [stack@director16 ~]$ openstack overcloud deploy --templates /home/stack/templates/ceph_rendered_templates \
> -r /home/stack/templates/ceph_rendered_templates/roles_data.yaml \
> -e /usr/share/openstack-tripleo-heat-templates/environments/ceph-ansible/ceph-ansible.yaml \
> -e /home/stack/templates/ceph_rendered_templates/environments/network-environment.yaml \
> -e /home/stack/templates/ceph_rendered_templates/environments/network-isolation.yaml \
> -e /home/stack/templates/node-info.yaml \
> -e /home/stack/containers-prepare-parameter.yaml \
> -e /home/stack/inject-trust-anchor-hiera.yaml \
> -e /home/stack/templates/ceph-config-custom.yaml \
> -e /home/stack/templates/timezone.yaml \
> --run-validations
Removing the current plan files
Uploading new plan files
Temporary Swift GET/PUT URL parameters have successfully been updated.
Plan updated.
Processing templates in the directory /tmp/tripleoclient-l8a0sc83/tripleo-heat-templates
WARNING: Following parameter(s) are defined but not currently used in the deployment plan. These parameters may be valid but not in use due to the service or deployment configuration. NetConfigDataLookup
Deploying templates in the directory /tmp/tripleoclient-l8a0sc83/tripleo-heat-templates
Initializing overcloud plan deployment
{'result': 'Failure caused by error in tasks: find_validations\n\n  find_validations [task_ex_id=e9a414a7-4441-4a09-9ed9-008125fbbcea] -> {\'msg\': "Error loading validations from Swift: Container GET failed: https://10.96.11.18:13808/v1/AUTH_118ea8570c184bd2bb5f9c1d17d3fd88/tripleo-validations?format=json 404 Not Found  [first 60 chars of response] b\'<html><h1>Not Found</h1><p>The resource could not be found.<\'"}\n    [action_ex_id=5fb51f96-2fb3-48c9-b848-a0446987ceaa, idx=0]: {\'msg\': "Error loading validations from Swift: Container GET failed: https://10.96.11.18:13808/v1/AUTH_118ea8570c184bd2bb5f9c1d17d3fd88/tripleo-validations?format=json 404 Not Found  [first 60 chars of response] b\'<html><h1>Not Found</h1><p>The resource could not be found.<\'"}\n'}
Exception occured while running the command
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/tripleoclient/command.py", line 32, in run
    super(Command, self).run(parsed_args)
  File "/usr/lib/python3.6/site-packages/osc_lib/command/command.py", line 41, in run
    return super(Command, self).run(parsed_args)
  File "/usr/lib/python3.6/site-packages/cliff/command.py", line 185, in run
    return_code = self.take_action(parsed_args) or 0
  File "/usr/lib/python3.6/site-packages/tripleoclient/v1/overcloud_deploy.py", line 1037, in take_action
    self._deploy_tripleo_heat_templates_tmpdir(stack, parsed_args)
  File "/usr/lib/python3.6/site-packages/tripleoclient/v1/overcloud_deploy.py", line 411, in _deploy_tripleo_heat_templates_tmpdir
    new_tht_root, tht_root)
  File "/usr/lib/python3.6/site-packages/tripleoclient/v1/overcloud_deploy.py", line 528, in _deploy_tripleo_heat_templates
    deployment_options=deployment_options)
  File "/usr/lib/python3.6/site-packages/tripleoclient/v1/overcloud_deploy.py", line 547, in _try_overcloud_deploy_with_compat_yaml
    deployment_options=deployment_options)
  File "/usr/lib/python3.6/site-packages/tripleoclient/v1/overcloud_deploy.py", line 284, in _heat_deploy
    deployment_options=deployment_options)
  File "/usr/lib/python3.6/site-packages/tripleoclient/workflows/deployment.py", line 87, in deploy_and_wait
    deploy(log, clients, **workflow_input)
  File "/usr/lib/python3.6/site-packages/tripleoclient/workflows/deployment.py", line 69, in deploy
    % (payload['status'], wf_name))
ValueError: Unexpected status FAILED for tripleo.deployment.v1.deploy_plan
Unexpected status FAILED for tripleo.deployment.v1.deploy_plan


Actual results:

Got Error in "--run-validations"

Expected results:

Since after removing "--run-validations" overcloud deployment was successfull. Customer wanted to know exact reason why it fails with "--run-validations" tag

Additional info:
1. Attaching templates that are being used.
2. Also attaching sos-report from the director node.

Comment 1 Aman Gupta 2021-06-21 13:08:27 UTC
Below is the sos-report for director node in the support-shell , case number: 02937461

sosreport-director16-02937461-2021-05-26-ciqpqyk.tar.xz

Comment 7 mathieu bultel 2021-09-02 07:55:07 UTC
Hi,

I have pushed a fix for this bug.
The main issue is that the validation swift container has been removed previously in the undercloud post install tasks, so the --run-validations option has been broken.

I'm patch aim to fix that, but I'm wondering if we can just totally get rid of mistral for running Validation in stable/train and just use the VF with direct call, like what have done for the undercloud-preflight checks.


Note You need to log in before you can comment on or make changes to this bug.